Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceScheduleCommand.Event

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceScheduleCommand.Event

- Enclosing class:
    SpliceScheduleCommand

      public static final class SpliceScheduleCommand.Event
      extends Object

  Represents a splice event as contained in a `SpliceScheduleCommand`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `autoReturn` | If `breakDurationUs` is not `C.TIME_UNSET`, defines whether `breakDurationUs` should be used to know when to return to the network feed.
    `int` | `availNum` | Holds the value of `avail_num` as defined in SCTE35, Section 9.3.2.
    `int` | `availsExpected` | Holds the value of `avails_expected` as defined in SCTE35, Section 9.3.2.
    `long` | `breakDurationUs` | The duration of the splice in microseconds, or `C.TIME_UNSET` if no duration is present.
    `List<SpliceScheduleCommand.ComponentSplice>` | `componentSpliceList` | If `programSpliceFlag` is false, a non-empty list containing the `SpliceScheduleCommand.ComponentSplice`s.
    `boolean` | `outOfNetworkIndicator` | If true, the splice event is an opportunity to exit from the network feed.
    `boolean` | `programSpliceFlag` | Whether the splice mode is program splice mode, whereby all PIDs/components are to be spliced.
    `boolean` | `spliceEventCancelIndicator` | True if the event with id `spliceEventId` has been canceled.
    `long` | `spliceEventId` | The splice event id.
    `int` | `uniqueProgramId` | The unique program id as defined in SCTE35, Section 9.3.2.
    `long` | `utcSpliceTime` | Represents the time of the signaled splice event as the number of seconds since 00 hours UTC, January 6th, 1980, with the count of intervening leap seconds included.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spliceEventId

          public final long spliceEventId

      The splice event id.

    - #### spliceEventCancelIndicator

          public final boolean spliceEventCancelIndicator

      True if the event with id `spliceEventId` has been canceled.

    - #### outOfNetworkIndicator

          public final boolean outOfNetworkIndicator

      If true, the splice event is an opportunity to exit from the network feed. If false, indicates an opportunity to return to the network feed.

    - #### programSpliceFlag

          public final boolean programSpliceFlag

      Whether the splice mode is program splice mode, whereby all PIDs/components are to be spliced. If false, splicing is done per PID/component.

    - #### utcSpliceTime

          public final long utcSpliceTime

      Represents the time of the signaled splice event as the number of seconds since 00 hours UTC, January 6th, 1980, with the count of intervening leap seconds included.

    - #### componentSpliceList

          public final List<SpliceScheduleCommand.ComponentSplice> componentSpliceList

      If `programSpliceFlag` is false, a non-empty list containing the `SpliceScheduleCommand.ComponentSplice`s. Otherwise, an empty list.

    - #### autoReturn

          public final boolean autoReturn

      If `breakDurationUs` is not `C.TIME_UNSET`, defines whether `breakDurationUs` should be used to know when to return to the network feed. If `breakDurationUs` is `C.TIME_UNSET`, the value is undefined.

    - #### breakDurationUs

          public final long breakDurationUs

      The duration of the splice in microseconds, or `C.TIME_UNSET` if no duration is present.

    - #### uniqueProgramId

          public final int uniqueProgramId

      The unique program id as defined in SCTE35, Section 9.3.2.

    - #### availNum

          public final int availNum

      Holds the value of `avail_num` as defined in SCTE35, Section 9.3.2.

    - #### availsExpected

          public final int availsExpected

      Holds the value of `avails_expected` as defined in SCTE35, Section 9.3.2.